function onBegin()
    local alreadyHasLava = false

    for i, sandwich in ipairs(getAllEntities("Mod.SpringCollab2020.Entities.CustomSandwichLava")) do
        if not sandwich:IsLeaving() then
            alreadyHasLava = true
        end
    end
    
    if not alreadyHasLava then
        getRoom().LastIntroType = 0
        getRoom():Add(celeste.Mod.SpringCollab2020.Entities.CustomSandwichLava(celeste.EntityData(), vector2(12440, 40)))
    end
end